org.apache.lucene.search.suggest.jaspell

## Class JaspellTernarySearchTrie.TSTNode

- java.lang.Object
- - org.apache.lucene.search.suggest.jaspell.JaspellTernarySearchTrie.TSTNode

- Enclosing class:
    JaspellTernarySearchTrie

      protected final class JaspellTernarySearchTrie.TSTNode
      extends Object

  An inner class of Ternary Search Trie that represents a node in the trie.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Object` | `data` The key to the node.
    `protected static int` | `EQKID` Index values for accessing relatives array.
    `protected static int` | `HIKID` Index values for accessing relatives array.
    `protected static int` | `LOKID` Index values for accessing relatives array.
    `protected static int` | `PARENT` Index values for accessing relatives array.
    `protected JaspellTernarySearchTrie.TSTNode[]` | `relatives` The relative nodes.
    `protected char` | `splitchar` The char used in the split.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JaspellTernarySearchTrie.TSTNode(char splitchar, JaspellTernarySearchTrie.TSTNode parent)` Constructor method.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PARENT

          protected static final int PARENT

      Index values for accessing relatives array.
      See Also:
        Constant Field Values

    - #### LOKID

          protected static final int LOKID

      Index values for accessing relatives array.
      See Also:
        Constant Field Values

    - #### EQKID

          protected static final int EQKID

      Index values for accessing relatives array.
      See Also:
        Constant Field Values

    - #### HIKID

          protected static final int HIKID

      Index values for accessing relatives array.
      See Also:
        Constant Field Values

    - #### data

          protected Object data

      The key to the node.

    - #### relatives

          protected JaspellTernarySearchTrie.TSTNode[] relatives

      The relative nodes.

    - #### splitchar

          protected char splitchar

      The char used in the split.

  - ### Constructor Detail

    - #### JaspellTernarySearchTrie.TSTNode

          protected JaspellTernarySearchTrie.TSTNode(char splitchar,
                                          JaspellTernarySearchTrie.TSTNode parent)

      Constructor method.
      Parameters:
        `splitchar` - The char used in the split.
        `parent` - The parent node.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.